Content SubscribedLibrary forceDelete
Force deletes the specified subscribed library by skipping the usage check.
Force deleting a subscribed library will remove the entry immediately and begin an asynchronous task to remove all cached content for the library. If the asynchronous task fails, file content may remain on the storage backing. This content will require manual removal.
This operation was added in vSphere API 9.1.0.0.
Returns an authorization error if you do not have all of the privileges described as follows:
- The resource
com.vmware.content.Libraryreferenced by the parameter libraryId requiresContentLibrary.DeleteSubscribedLibrary.
Identifier of the local library to delete.
The parameter must be an identifier for the resource type: com.vmware.content.Library.
Success!
If the library specified by libraryId is not a local library.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": {
"id": "string",
"params": {
"params": "Vapi Std LocalizationParam Object"
}
},
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
If the library specified by libraryId does not exist.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
curl -X POST -H 'Authorization: <value>' https://{api_host}/api/content/subscribed-library/{libraryId}?action=force-delete